<script lang="ts" setup>
import { storeToRefs } from 'pinia'
import { useAccountStore } from '~~/store/account'
import { useCallStore } from '~~/store/call'
import { useZoomClientStore } from '~~/store/zoomClient'
const account = useAccountStore()
const {
  full,
} = storeToRefs(account)
const zoomClient = useZoomClientStore()
</script>

<template>
  <div v-if="!full" class="p-3 bg-white z-50 text-black rounded-2 absolute inset-0 flex flex-col justify-between items-center pointer-events-auto">
    <div />
    <div class="text-4xl">
      <h1 class="font-black lt-sm:text-2xl">
        ホストがこのミーティングを開始するのをお待ちください。
      </h1>
      <div class=" text-gray-500 mt-10 lt-sm:mt-5">
        <p class="lt-sm:text-xl">
          開始日時:3:00PM
        </p>
        <p class="mt-5 text-2xl lt-sm:text-lg lt-sm:mt-2">
          待機室無し
        </p>
      </div>
    </div>

    <div class="mb-5">
      <button class="border border-gray-400 rounded-2 py-4 px-2 text-xl lt-sm:text-base mb-5 lt-sm:mb-2" hover="bg-gray-500 text-white">
        コンピュータオーディオをテスト
      </button>

      <p class="text-2xl lt-sm:text-lg text-gray-500 mt-5 lt-sm:mb-2">
        ホストの場合は、このミーティングを開始するために、
        <a
          href="#"
          class="text-blue-600 underline cursor-pointer"
        >ログイン
        </a>
        してください。
      </p>
    </div>
  </div>
  <div v-if="full" class=" bg-neutral-900 z-50 text-white rounded-2 absolute inset-0 flex justify-between flex-col items-center text-4xl leading-normal pointer-events-auto">
    <div />
    <div class="lt-sm:text-xl">
      <p>配信開始する場合<br>配信開始を押してください。</p>
    </div>
    <div />
  </div>
</template>

<style>

</style>
